Package org.eclipse.ui.views.markers

## Class WorkbenchMarkerResolution

- java.lang.Object
- - org.eclipse.ui.views.markers.WorkbenchMarkerResolution

All Implemented Interfaces:
  `IMarkerResolution`, `IMarkerResolution2`

    public abstract class WorkbenchMarkerResolution
    extends Object
    implements IMarkerResolution2

WorkbenchMarkerResolution is the resolution that can be grouped with others that are similar to allow multi selection.

Since:
  3.2

### Constructor Summary

Constructors
`WorkbenchMarkerResolution()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract IMarker[]` `findOtherMarkers​(IMarker[] markers)` Iterate through the list of supplied markers.
`void` `run​(IMarker[] markers, IProgressMonitor monitor)` Runs this resolution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IMarkerResolution

`getLabel, run`

### Methods inherited from interface org.eclipse.ui.IMarkerResolution2

`getDescription, getImage`

### Constructor Detail

#### WorkbenchMarkerResolution

    public WorkbenchMarkerResolution()

### Method Detail

#### findOtherMarkers

    public abstract IMarker[] findOtherMarkers​(IMarker[] markers)

Iterate through the list of supplied markers. Return any that can also have the receiver applied to them.

Parameters:
  `markers` - the markers to check
Returns:
  IMarker[]

#### run

    public void run​(IMarker[] markers,
                    IProgressMonitor monitor)

Runs this resolution. Resolve all `markers`. `markers` must be a subset of the markers returned by `findOtherMarkers(IMarker[])`.

Parameters:
  `markers` - The markers to resolve, not null
  `monitor` - The monitor to report progress